Subject: Re: bug#24813: Du Maximum files?

From: Erik Auerswald <[email-masked]>
Date: Fri, 28 Oct 2016 09:27:01 +0200

Hi Ben,

On Fri, Oct 28, 2016 at 05:56:07AM +0000, Benny D. Miller Jr. wrote:
>  I am not so sure that this is a bug but a limitation. I am using
> "du" for a disk file listing/usage in the command:
> 
> du --all --time --human-readable --apparent-size $1;

You did not specify any problems with the above line pertaining to "du".

> printf "Total number of files: ";  find $1 -type f | wc -l;

The above line does not relate to "du", but to "find" and "wc".

> But it seems to maximum out the file count to 38341
> 
>  So I am thinking that this is a limitation to the counter in "wc"?

I don't think so. You can easily check wc's counter by generating known
input, e.g. as follows:

$ yes | head -n80000 | wc -l
80000
$ yes | head -n2678400 | wc -l
2678400

>  Just to let you know I have a script that takes a picture every
> minute and stores it to a 1TB HD and deletes anything older than 31
> days.
> Total file count should be near 2,678,400 files.

For some random directory I find the following:

$ find . -type f | wc -l
124168

I do not see the limit you observed.

Best regards,
Erik
-- 
Be water, my friend.
                        -- Bruce Lee